-- MySQL Script generated by MySQL Workbench
-- Thu Jan 14 14:06:19 2021
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Table `Club`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Club` (
  `idClub` INT NOT NULL AUTO_INCREMENT,
  `nom` VARCHAR(45) NOT NULL,
  `adresse` VARCHAR(45) NOT NULL,
  `codePostal` VARCHAR(45) NOT NULL,
  `ville` VARCHAR(45) NOT NULL,
  PRIMARY KEY (`idClub`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `categorie`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `categorie` (
  `idcategorie` INT NOT NULL AUTO_INCREMENT,
  `nom` VARCHAR(45) NOT NULL,
  `ageMini` INT NOT NULL,
  `ageMaxi` INT NOT NULL,
  `distanceMax` INT NOT NULL,
  PRIMARY KEY (`idcategorie`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `Coureur`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Coureur` (
  `idCoureur` INT NOT NULL AUTO_INCREMENT,
  `nom` VARCHAR(45) NOT NULL,
  `prenom` VARCHAR(45) NOT NULL,
  `adresse` VARCHAR(45) NULL,
  `codePostal` INT NULL,
  `ville` VARCHAR(45) NULL,
  `dateNaissance` DATE NULL,
  `sexe` CHAR(1) NOT NULL,
  `Club_idClub` INT NOT NULL,
  `categorie_idcategorie` INT NOT NULL,
  PRIMARY KEY (`idCoureur`),
  INDEX `fk_Coureur_Club_idx` (`Club_idClub` ASC) VISIBLE,
  INDEX `fk_Coureur_categorie1_idx` (`categorie_idcategorie` ASC) VISIBLE,
  CONSTRAINT `fk_Coureur_Club`
    FOREIGN KEY (`Club_idClub`)
    REFERENCES `Club` (`idClub`)
    ON DELETE RESTRICT
    ON UPDATE RESTRICT,
  CONSTRAINT `fk_Coureur_categorie1`
    FOREIGN KEY (`categorie_idcategorie`)
    REFERENCES `categorie` (`idcategorie`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `transpondeur`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `transpondeur` (
  `idtranspondeur` INT NOT NULL AUTO_INCREMENT,
  `perdu` TINYINT(1) NOT NULL,
  PRIMARY KEY (`idtranspondeur`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `course`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `course` (
  `idcourse` INT NOT NULL AUTO_INCREMENT,
  `nom` VARCHAR(45) NOT NULL,
  `date` DATE NOT NULL,
  `distance` INT NOT NULL,
  `heureDepart` DATETIME NOT NULL,
  PRIMARY KEY (`idcourse`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `inscription`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `inscription` (
  `idinscription` INT NOT NULL AUTO_INCREMENT,
  `numDossard` VARCHAR(45) NOT NULL,
  `transpondeur_idtranspondeur` INT NOT NULL,
  `course_idcourse` INT NOT NULL,
  `Coureur_idCoureur` INT NOT NULL,
  PRIMARY KEY (`idinscription`, `course_idcourse`, `Coureur_idCoureur`),
  INDEX `fk_inscription_transpondeur1_idx` (`transpondeur_idtranspondeur` ASC) VISIBLE,
  INDEX `fk_inscription_course1_idx` (`course_idcourse` ASC) VISIBLE,
  INDEX `fk_inscription_Coureur1_idx` (`Coureur_idCoureur` ASC) VISIBLE,
  CONSTRAINT `fk_inscription_transpondeur1`
    FOREIGN KEY (`transpondeur_idtranspondeur`)
    REFERENCES `transpondeur` (`idtranspondeur`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_inscription_course1`
    FOREIGN KEY (`course_idcourse`)
    REFERENCES `course` (`idcourse`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_inscription_Coureur1`
    FOREIGN KEY (`Coureur_idCoureur`)
    REFERENCES `Coureur` (`idCoureur`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
